/*
This file defines four tetrahedra over/under the unit square
*/

/* Vertices */

Point(1) = {0,0,0,1};
Point(2) = {1,0,0,1};
Point(3) = {1,1,0,1};
Point(4) = {0,1,0,1};
Point(5) = {0.5,0.5,0.75,1};
Point(6) = {0.5,0.5,-0.75,1};

/* Edges */

Line(1) = {1,2};
Line(2) = {2,3};
Line(3) = {3,1};
Line(4) = {3,4};
Line(5) = {4,1};
Line(6) = {1,5};
Line(7) = {2,5};
Line(8) = {3,5};
Line(9) = {4,5};
Line(10)= {1,6};
Line(11)= {2,6};
Line(12)= {3,6};
Line(13)= {4,6};

/* Faces of the tetrahedron */

Line Loop(1) = {1,2,3};
Plane Surface(1) = {1};
Line Loop(2) = {-3,8,-6}
Plane Surface(2) = {2};
Line Loop(3) = {1,7,-6};
Plane Surface(3) = {3};
Line Loop(4) = {2,8,-7};
Plane Surface(4) = {4};
Line Loop(5) = {-3,4,5};
Plane Surface(5) = {5};
Line Loop(6) = {4,9,-8};
Plane Surface(6) = {6};
Line Loop(7) = {5,6,-9};
Plane Surface(7) = {7};
Line Loop(8) = {-3,12,-10};
Plane Surface(8) = {8};
Line Loop(9) = {1,11,-10};
Plane Surface(9) = {9};
Line Loop(10)= {2,12,-11};
Plane Surface(10) = {10};
Line Loop(11)= {4,13,-12};
Plane Surface(11) = {11};
Line Loop(12)= {5,10,-13};
Plane Surface(12) = {12};

/* Volume */

Surface Loop(1) = {1,2,3,4};
Surface Loop(2) = {5,2,6,7};
Surface Loop(3) = {1,8,9,10};
Surface Loop(4) = {5,8,x,x};
Volume(1) = {1,2,3,4};
