program phaml_master
use phaml
implicit none
type(phaml_solution_type) :: pde1
call phaml_create(pde1,eq_type=EIGENVALUE)
call phaml_solve_pde(pde1,task=REFINE_ONLY,reftype=H_UNIFORM)
call phaml_solve_pde(pde1, &
                     print_grid_when=PHASES,print_grid_who=MASTER, &
                     print_linsys_when=PHASES,print_linsys_who=MASTER, &
                     print_solver_when=PHASES,print_solver_who=MASTER, &
                     print_error_when=PHASES,print_error_who=MASTER, &
                     print_energy_norm_error=.true., &
                     print_energy_norm_errest=.true., &
                     print_H1_norm_error=.true., &
                     print_H1_seminorm_error=.true., &
                     print_Linf_norm_error=.true., &
                     print_Linf_norm_errest=.true., &
                     print_L2_norm_error=.true., print_L2_norm_errest=.true., &
                     print_warnings=.false., &
                     print_eval_when=PHASES,print_eval_who=MASTER, &
                     max_vert=500,transformation=ST_CAYLEY, &
                     lambda0=35.0_my_real,num_eval=5)
call phaml_destroy(pde1)

end program phaml_master
